-- German localization by Haldamir of Gorgonnash, 19.6. 2007

if (GetLocale() == "deDE") then
--------------------------------------------------------------------------------------------------------
--                                                Misc                                                --
--------------------------------------------------------------------------------------------------------

BINDING_HEADER_EXAMINER = "Examiner";
BINDING_NAME_EXAMINER_TARGET = "Ziel inspizieren";
BINDING_NAME_EXAMINER_MOUSEOVER = "Mouseover inspizieren";

Examiner.Classification = {
	["worldboss"] = "Boss",
	["rareelite"] = "RarElite",
	["elite"] = "Elite",
	["Rare"] = "Rar",
};

ExScanner.SetBonusTokenActive = "^Set: ";
ExScanner.ItemUseToken = "^Benutzen: ";

--------------------------------------------------------------------------------------------------------
--                                           Stat Patterns                                            --
--------------------------------------------------------------------------------------------------------

ExScanner.Patterns = {
	-- Base stats
	{ p = "%+(%d+) St\195\164rke", s = "STR" },
	{ p = "%+(%d+) Beweglichkeit", s = "AGI" },
	{ p = "%+(%d+) Ausdauer", s = "STA" },
	{ p = "%+(%d+) Intelligenz", s = "INT" },
	{ p = "%+(%d+) Willenskraft", s = "SPI" },
	{ p = "(%d+) R\195\188stung", s = "ARMOR" },

	-- Resistances (Exclude the Resist-"ance" then it picks up armor patches as well)
	{ p = "%+(%d+) Arkanwiderstand", s = "ARCANERESIST" },
	{ p = "%+(%d+) Feuerwiderstand", s = "FIRERESIST" },
	{ p = "%+(%d+) Naturwiderstand", s = "NATURERESIST" },
	{ p = "%+(%d+) Frostwiderstand", s = "FROSTRESIST" },
	{ p = "%+(%d+) Schattenwiderstand", s = "SHADOWRESIST" },
	{ p = "%+(%d+) Alle Widerstandsarten", s = { "ARCANERESIST", "FIRERESIST", "NATURERESIST", "FROSTRESIST", "SHADOWRESIST" } },

	-- Equip (Other)
	{ p = "Erh\195\182ht Eure Abh\195\164rtungswertung um (%d+)%.", s = "RESILIENCE" },

	{ p = "Erh\195\182ht die Verteidigungswertung um (%d+)%.", s = "DEFENSE" },
	{ p = "Erh\195\182ht Eure Ausweichwertung um (%d+)%.", s = "DODGE" },
	{ p = "Erh\195\182ht Eure Parierwertung um (%d+)%.", s = "PARRY" },
	{ p = "Erh\195\182ht Eure Blockwertung um (%d+)%.", s = "BLOCK" },
	{ p = "Increases your shield block rating by (%d+)%.", s = "BLOCK" },

	{ p = "Erh\195\182ht den Blockwert Eures Schildes um (%d+)%.", s = "BLOCKVALUE" },
	{ p = "^(%d+) Blocken$", s = "BLOCKVALUE" }, -- Should catch only base block value from a shield -- translated by g3gg0

	{ p = "Stellt alle 5 Sek%. (%d+) Gesundheit wieder her%.", s = "HP5" },

	-- Equip (Melee)
	{ p = "Erh\195\182ht kritische Trefferwertung um (%d+)%.", s = "CRIT" },
	{ p = "Erh\195\182ht Eure kritische Trefferwertung um (%d+)%.", s = "CRIT" },
	{ p = "Erh\195\182ht Trefferwertung um (%d+)%.", s = "HIT" },
	{ p = "Erh\195\182ht Eure Trefferwertung um (%d+)%.", s = "HIT" },

	{ p = "Erh\195\182ht Tempowertung um (%d+)%.", s = "HASTE" },

	{ p = "Erh\195\182ht die Angriffskraft um (%d+)%.", s = "AP" },
	{ p = "Erh\195\182ht die Distanzangriffskraft um (%d+)%.", s = "RAP" },
	{ p = "Erh\195\182ht die Angriffskraft in Katzengestalt, B\195\164rengestalt, Terrorb\195\164rengestalt oder Mondkingestalt um (%d+)%.", s = "APFERAL" },

	{ p = "Eure Angriffe ignorieren (%d+) R\195\188stung Eures Gegners%.", s = "ARMORPENETRATION" },

	-- Equip (Magic)
	{ p = "Erh\195\182ht kritische Zaubertrefferwertung um (%d+)%.", s = "SPELLCRIT" },
	{ p = "Erh\195\182ht Eure kritische Zaubertrefferwertung um (%d+)%.", s = "SPELLCRIT" },
	{ p = "Erh\195\182ht Zaubertrefferwertung um (%d+)%.", s = "SPELLHIT" },
	{ p = "Erh\195\182ht Eure Zaubertrefferwertung um (%d+)%.", s = "SPELLHIT" },

	{ p = "Erh\195\182ht Zaubertempowertung um (%d+)%.", s = "SPELLHASTE" },
	{ p = "Erh\195\182ht Eure Zauberdurchschlagskraft um (%d+)%.", s = "SPELLPENETRATION" },

	{ p = "Erh\195\182ht durch Zauber und Effekte verursachte Heilung um bis zu (%d+)%.", s = "HEAL" },
	{ p = "Erh\195\182ht durch Zauber und magische Effekte verursachten Schaden und Heilung um bis zu (%d+)%.", s = { "SPELLDMG", "HEAL" } },

	{ p = "Arkanzauber und Arkaneffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "ARCANEDMG" },
	{ p = "Feuerzauber und Feuereffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "FIREDMG" },
	{ p = "Naturzauber und Natureffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "NATUREDMG" },
	{ p = "Frostzauber und Frosteffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "FROSTDMG" },
	{ p = "Schattenzauber und Schatteneffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "SHADOWDMG" },
	{ p = "Heiligzauber und Heiligeffekte zugef\195\188gten Schaden um bis zu (%d+)%.", s = "HOLYDMG" },

	-- Weapon Skills
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Schwerter um (%d+)%.", s = "WPNSKILL_SWORD" },
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Streitkolben um (%d+)%.", s = "WPNSKILL_MACE" },
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r \195\132xte um (%d+)%.", s = "WPNSKILL_AXE" },
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Dolche um (%d+)%.", s = "WPNSKILL_DAGGER" },

	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Zweihandschwerter um (%d+)%.", s = "WPNSKILL_SWORD_2H" },
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Zweihandstreitkolben um (%d+)%.", s = "WPNSKILL_MACE_2H" },
	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r Zweihand\195\164xte um (%d+)%.", s = "WPNSKILL_AXE_2H" },

	{ p = "%+(%d+) Zweihandaxtfertigkeitswertung", s = "WPNSKILL_AXE_2H" },

	{ p = "Erh\195\182ht die Fertigkeitswertung f\195\188r 'Wilden Kampf' um (%d+)", s = "WPNSKILL_FERAL" },  -- fixed by g3gg0

	-- Enchants / Gems / Socket Bonuses / Mixed / Misc
	{ p = "^%+(%d+) GP$", s = "HP" },
	{ p = "^%+(%d+) Gesundheit$", s = "HP" },
	{ p = "^%+(%d+) Mana$", s = "MP" },

	{ p = "^Vitalit\195\164t$", s = { "MP5", "HP5" }, v = 4 },
	{ p = "^Unb\195\164ndigkeit$", s = "AP", v = 70 }, -- Old DE: "^Wildheit$"
	{ p = "^Sicherer Stand$", s = "HIT", v = 10 },
	{ p = "^Seelenfrost$", s = { "FROSTDMG", "SHADOWDMG" }, v = 54 },
	{ p = "^Sonnenfeuer$", s = { "ARCANEDMG", "FIREDMG" }, v = 50 },

	{ p = "%+(%d+) Alle Werte", s = { "STR", "AGI", "STA", "INT", "SPI" } },

	{ p = "%+(%d+) Mana alle 5 Sekunden", s = "MP5" },
	{ p = "(%d+) Mana alle 5 Sek", s = "MP5" },
	{ p = "(%d+) mana per 5 sec%.", s = "MP5" }, -- Covers equip bonus as well as socket bonus
	{ p = "alle 5 Sek%. (%d+) Mana", s = "MP5" },
	{ p = "Alle 5 Sek%. (%d+) Mana", s = "MP5" },
	{ p = "%+(%d+) Manaregeneration", s = "MP5" },

	{ p = "+(%d) Gesundheit alle 5 Sek%.", s = "HP5" },

	{ p = "%+(%d+) Arkanzauber", s = "ARCANEDMG" },
	{ p = "%+(%d+) Feuerschaden", s = "FIREDMG" },
	{ p = "%+(%d+) Naturschaden", s = "NATUREDMG" },
	{ p = "%+(%d+) Frostschaden", s = "FROSTDMG" },
	{ p = "%+(%d+) Schattenschaden", s = "SHADOWDMG" },
	{ p = "%+(%d+) Heiligschaden", s = "HOLYDMG" },

	{ p = "%+(%d+) Verteidigung", s = "DEFENSE" }, -- Exclude "Rating" from this pattern due to Paladin ZG Enchant
	{ p = "%+(%d+) Ausweichwertung", s = "DODGE" },
	{ p = "%+(%d+) Parierwertung", s = "PARRY" },
	{ p = "%+(%d+) Blockwertung", s = "BLOCK" },
	{ p = "%+(%d+) Blockwert$", s = "BLOCKVALUE" }, -- workaround by g3gg0
	{ p = "%+(%d+) Blockwert ", s = "BLOCKVALUE" }, -- workaround by g3gg0

	{ p = "%+(%d+) Angriffskraft", s = "AP" },
	{ p = "%+(%d+) Distanzangriffskraft", s = "RAP" },
	{ p = "%+(%d+) Trefferwertung", s = "HIT" },
	{ p = "%+(%d+) Crit Rating", s = "CRIT" },
	{ p = "%+(%d+) Kritische Trefferwertung", s = "CRIT" },
	{ p = "%+(%d+) Abh\195\164rtung", s = "RESILIENCE" },

	{ p = "%+(%d+) Heilung", s = "HEAL" },
	{ p = "%+(%d+) Heilzauber", s = "HEAL" },
	{ p = "%+(%d+) Heilung und Zauberschaden", s = "SPELLDMG" }, -- Warlock ZG Enchant (Healing will be cought by the other pattern)
	{ p = "%+(%d+) Zauberkraft", s = { "SPELLDMG", "HEAL" } },
	{ p = "%+(%d+) Zauberschaden", s = { "SPELLDMG", "HEAL" } },
	{ p = "%+(%d+) Zaubertrefferwertung", s = "SPELLHIT" }, -- Exclude "Rating" from this pattern due to Mage ZG Enchant
	{ p = "%+(%d+) Kritische Zaubertrefferwertung", s = "SPELLCRIT" },
	{ p = "%+(%d+) Spell Critical Rating", s = "SPELLCRIT" },
	{ p = "%+(%d+) Spell Critical Strike Rating", s = "SPELLCRIT" },
	{ p = "%+(%d+) Zauberdurchschlagskraft", s = "SPELLPENETRATION" },
	{ p = "%+(%d+) Schaden und Heilzauber", s = { "SPELLDMG", "HEAL" } },

	{ p = "%+(%d+) Waffenschaden", s = "WPNDMG" },
	{ p = "^Zielfernrohr %(%+(%d+) Schaden%)$", s = "RANGEDDMG" }, -- translated by g3gg0
};

--------------------------------------------------------------------------------------------------------
--                                        Stat Order & Naming                                         --
--------------------------------------------------------------------------------------------------------

Examiner.StatEntryOrder = {
	{ name = "Grundwerte", stats = {"STR", "AGI", "STA", "INT", "SPI", "ARMOR"} },
	{ name = "Gesundheit & Mana", stats = {"HP", "MP", "HP5", "MP5"} },
	{ name = "Nah- und Distanzkampf", stats = {"AP", "RAP", "APFERAL", "CRIT", "HIT", "HASTE", "WPNDMG", "RANGEDDMG", "ARMORPENETRATION"} },
	{ name = "Waffenfertigkeiten", stats = { "WPNSKILL_SWORD", "WPNSKILL_MACE", "WPNSKILL_AXE", "WPNSKILL_DAGGER", "WPNSKILL_SWORD_2H", "WPNSKILL_MACE_2H", "WPNSKILL_AXE_2H", "WPNSKILL_FERAL" } },
	{ name = "Zauber", stats = {"HEAL", "SPELLDMG", "ARCANEDMG", "FIREDMG", "NATUREDMG", "FROSTDMG", "SHADOWDMG", "HOLYDMG", "SPELLCRIT", "SPELLHIT", "SPELLHASTE", "SPELLPENETRATION"} },
	{ name = "Verteidigung", stats = {"DEFENSE", "DODGE", "PARRY", "BLOCK", "BLOCKVALUE", "RESILIENCE"} },
};

ExScanner.StatNames = {
	["STR"] = "St\195\164rke",
	["AGI"] = "Beweglichkeit",
	["STA"] = "Ausdauer",
	["INT"] = "Intelligenz",
	["SPI"] = "Willenskraft",

	["ARMOR"] = "R\195\188stung",

	["ARCANERESIST"] = "Arkanwiderstand",
	["FIRERESIST"] = "Feuerwiderstand",
	["NATURERESIST"] = "Naturwiderstand",
	["FROSTRESIST"] = "Frostwiderstand",
	["SHADOWRESIST"] = "Schattenwiderstand",

	["DODGE"] = "Ausweichwertung",
	["PARRY"] = "Parierwertung",
	["DEFENSE"] = "Verteidigungswertung",
	["BLOCK"] = "Blockwertung",
	["BLOCKVALUE"] = "Blockwert des Schildes",
	["RESILIENCE"] = "Abh\195\164rtungswertung",

	["AP"] = "Angriffskraft",
	["RAP"] = "Distanzangriffskraft",
	["APFERAL"] = "Angriffskraft (Feral)",
	["CRIT"] = "Kritische Trefferwertung",
	["HIT"] = "Trefferwertung",
	["HASTE"] = "Tempowertung ",
	["WPNDMG"] = "Waffenschaden",
	["RANGEDDMG"] = "Distanzschaden",
	["ARMORPENETRATION"] = "Ignorierte R\195\188stung",

	["WPNSKILL_SWORD"] = "Schwertwertung",
	["WPNSKILL_MACE"] = "Streitkolbenwertung",
	["WPNSKILL_AXE"] = "Axtwertung",
	["WPNSKILL_DAGGER"] = "Dolchwertung",
	["WPNSKILL_SWORD_2H"] = "Zweihandschwertwertung",
	["WPNSKILL_MACE_2H"] = "Zweihandstreitkolbenwertung",
	["WPNSKILL_AXE_2H"] = "Zweihandaxtwertung",
	["WPNSKILL_FERAL"] = "'Wilder Kampf'-Wertung",

	["SPELLCRIT"] = "Kritische Zaubertrefferwertung",
	["SPELLHIT"] = "Zaubertrefferwertung",
	["SPELLHASTE"] = "Zaubertempowertung",
	["SPELLPENETRATION"] = "Zauberdurchschlagskraft",

	["HEAL"] = "Heilung",
	["SPELLDMG"] = "Zauberschaden",
	["ARCANEDMG"] = "Zauberschaden (Arkan)",
	["FIREDMG"] = "Zauberschaden (Feuer)",
	["NATUREDMG"] = "Zauberschaden (Natur)",
	["FROSTDMG"] = "Zauberschaden (Frost)",
	["SHADOWDMG"] = "Zauberschaden (Schatten)",
	["HOLYDMG"] = "Zauberschaden (Heilig)",

	["HP"] = "Gesundheitspunkte",
	["MP"] = "Manapunkte",

	["HP5"] = "Gesundheitsregeneration alle 5 Sek",
	["MP5"] = "Manaregeneration alle 5 Sek",
};
end